Summary:	POP3 Client module for perl
Name:		perl-POP3Client
Version:	2.7
License:	GPL
Release:	1.intergenia
Group:		Applications/CPAN
Source0:	http://backpan.cpan.org/authors/id/S/SD/SDOWD/POP3Client-2.7.tar.gz
Url:		http://search.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%(id -u -n)
BuildRequires:	perl >= 5.6
Requires:	perl >= 5.6
Vendor:		Intergenia AG
Packager:	Maik Broemme <mbroemme@plusserver.de>

%description
POP3 Client module for perl

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n POP3Client-%{version} 

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
make

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
	sed "s@^$RPM_BUILD_ROOT@@g" |
	grep -v perllocal.pod | 
	grep -v "\.packlist" > %{name}-%{version}.filelist
if [ "$(cat %{name}-%{version}.filelist)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi

%files -f %{name}-%{version}.filelist
%defattr(-,root,root)

%changelog
* Thu May 27 2004 Maik Broemme <mbroemme@intergenia.de> 2.7-1.intergenia
- initial build for RedHat Linux 9 and perl 5.8.0
